OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
LinkGraph::ConstEdgeIterator Class Reference

An iterator for const edges. More...

`#include <linkgraph.h>`

Inheritance diagram for LinkGraph::ConstEdgeIterator:

## Public Member Functions
| ConstEdgeIterator (const BaseEdge *edges, NodeID current)
| Constructor.
Public Member Functions inherited from LinkGraph::BaseEdgeIterator< const BaseEdge, ConstEdge, ConstEdgeIterator >
| BaseEdgeIterator (const BaseEdge *base, NodeID current)
| Constructor.
ConstEdgeIterator & | operator++ ()
| Prefix-increment.
ConstEdgeIterator | operator++ (int)
| Postfix-increment.
bool | operator== (const Tother &other)
| Compare with some other edge iterator.
bool | operator!= (const Tother &other)
| Compare for inequality with some other edge iterator.
SmallPair< NodeID, ConstEdge > | operator* () const
| Dereference with operator*.
FakePointer | operator-> () const
| Dereference with operator->.

## Additional Inherited Members
Protected Attributes inherited from LinkGraph::BaseEdgeIterator< const BaseEdge, ConstEdge, ConstEdgeIterator >
const BaseEdge * | base
| Array of edges being iterated.
NodeID | current
| Current offset in edges array.

## Detailed Description

An iterator for const edges.

Cannot be typedef'ed because of template-reference to ConstEdgeIterator itself.

Definition at line 309 of file linkgraph.h.

## Constructor & Destructor Documentation

LinkGraph::ConstEdgeIterator::ConstEdgeIterator | ( | const BaseEdge * | edges,
|  | NodeID | current
| ) |  |
| inline

Constructor.

Parameters

  edges | Array of edges to be iterated over.
  current | ID of current edge's end node.

Definition at line 316 of file linkgraph.h.

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h